<%_ if (position === 'import') { _%>
<%_ } _%>
<%_ if (position === 'method') { _%>
<%_ } _%>
<%_ if (position === 'rowOperations') { _%>
  <%_ if (clientTheme === 'vben') { _%>
      {
        title: '报表设计',
        name: 'design',
        icon: 'schedule',
        containerType: 'drawer',
      },
      {
        title: '报表预览',
        name: 'preview',
        icon: 'area-chart',
        containerType: 'drawer',
      },
  <%_ } _%>
<%_ } _%>
<%_ if (position === 'rowClickHandler') { _%>
  <%_ if (clientTheme === 'vben') { _%>
        case 'design':
          switch (operation.containerType) {
            case 'modal':
              popupConfig.componentProps.is = 'a-iframe';
              popupConfig.componentProps.iframeUrl = '/ureport/designer?_u=db:' + row.name;
              setModalProps({ open: true });
              break;
            case 'drawer':
              popupConfig.componentProps.is = 'a-iframe';
              popupConfig.componentProps.iframeUrl = '/ureport/designer?_u=db:' + row.name;
              setDrawerProps({ open: true });
              break;
            case 'page':
            default:
              if (pageConfig.baseRouteName) {
                go({ name: `${pageConfig.baseRouteName}Detail`, params: { entityId: row.id } });
              } else {
                console.log('未定义方法');
              }
          }
          break;
        case 'preview':
          switch (operation.containerType) {
            case 'modal':
              popupConfig.componentProps.is = 'a-iframe';
              popupConfig.componentProps.iframeUrl = '/ureport/preview?_u=db:' + row.name;
              setModalProps({ open: true });
              break;
            case 'drawer':
              popupConfig.componentProps.is = 'a-iframe';
              popupConfig.componentProps.iframeUrl = '/ureport/preview?_u=db:' + row.name;
              setDrawerProps({ open: true });
              break;
            case 'page':
            default:
              if (pageConfig.baseRouteName) {
                go({ name: `${pageConfig.baseRouteName}Detail`, params: { entityId: row.id } });
              } else {
                console.log('未定义方法');
              }
          }
          break;
  <%_ } _%>
<%_ } _%>
